"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VMTOPOLOGY_MOCKS = void 0;
var VMTOPOLOGY_MOCKS = {
  data: {
    records: [{
      name: "infra001srv01tts000.novalocal",
      type: "timesten",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        "ip-and-host": "10.20.4.166@infra001srv01tts000.novalocal",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.20",
        rprb_26071_oam_direct_net_1: "172.29.147.20",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.166"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {
        "cdf-sub-type": "62052e629186cd2a28627b4b"
      },
      clusterType: "timesten",
      vmId: "1643899215970187",
      groupType: {
        labelId: "cdf-sub-type",
        value: "mme-cdf-2",
        id: "62052e629186cd2a28627b4b"
      },
      cluster: "T10"
    }, {
      name: "infra001srv01dmn000.novalocal",
      type: "daemon",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.29",
        hostname: "infra001srv01dmn000.novalocal~172.29.147.12",
        rprb_26071_oam_direct_net_1: "172.29.147.12",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.111",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.162",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.12"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "daemon",
      vmId: "1643899221014199",
      groupType: null,
      cluster: "Daemon"
    }, {
      name: "infra001srv01dbm000.novalocal",
      type: "schemamanager",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        hostname: "infra001srv01dbm000.novalocal~172.29.147.78",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.78",
        rprb_26071_oam_direct_net_1: "172.29.147.78",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.207"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "schemamanager",
      vmId: "1643899266906240",
      groupType: null,
      cluster: "SchemaManager"
    }, {
      name: "infra001srv01ssr000.novalocal",
      type: "scheduledservices",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.14",
        hostname: "infra001srv01ssr000.novalocal~172.29.147.226",
        rprb_26071_oam_direct_net_1: "172.29.147.226",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.221",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.103",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.226"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "scheduledservices",
      vmId: "1643899372694276",
      groupType: null,
      cluster: "ScheduledServices"
    }, {
      name: "infra001srv01kfk000.novalocal",
      type: "kafka",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_int_beinterconnect_vip_0: "10.20.4.70",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.96",
        rprb_26071_oam_direct_net_1: "172.29.147.96",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.91"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "kafka",
      vmId: "1643899570438318",
      groupType: null,
      cluster: "Kafka"
    }, {
      name: "infra001srv01ana000.novalocal",
      type: "analyst",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.177",
        hostname: "infra001srv01ana000.novalocal~172.29.147.171",
        rprb_26071_oam_direct_net_1: "172.29.147.171",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.243",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.226",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.171"
      },
      customAttributes: {
        isNodeExporter: "true"
      },
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "analyst",
      vmId: "1643898554924007",
      groupType: null,
      cluster: "Analyst"
    }, {
      name: "infra001srv01msr000.novalocal",
      type: "microservices",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.7",
        hostname: "infra001srv01msr000.novalocal~172.29.147.34",
        rprb_26071_oam_direct_net_1: "172.29.147.34",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.58",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.109",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.34"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "microservices",
      vmId: "1643899340146264",
      groupType: null,
      cluster: "Microservices"
    }, {
      name: "infra001srv01gdn000.novalocal",
      type: "guardian",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.33",
        hostname: "infra001srv01gdn000.novalocal~172.29.147.242",
        rprb_26071_oam_direct_net_1: "172.29.147.242",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.108",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.250",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.242",
        rprb_26071_oam_protected_net_1: "172.99.99.35",
        rprb_26071_oam_protected_vip_1: "172.99.99.34"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "guardian",
      vmId: "1643899518352302",
      groupType: null,
      cluster: "Guardian"
    }, {
      name: "infra001srv01kfk002.novalocal",
      type: "kafka",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_int_beinterconnect_vip_0: "10.20.4.70",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.88",
        rprb_26071_oam_direct_net_1: "172.29.147.88",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.157"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "kafka",
      vmId: "1643899653807332",
      groupType: null,
      cluster: "Kafka"
    }, {
      name: "infra001srv01kbr000.novalocal",
      type: "kuberiq",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_protected_vip_0: "172.99.99.80",
        rprb_26071_oam_direct_vip_1: "172.29.147.54",
        hostname: "0~infra001srv01kbr000.novalocal~172.29.147.125~172.99.99.81",
        rprb_26071_oam_direct_net_1: "172.29.147.125",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.35",
        rprb_26071_cdr_direct_net_1: "172.0.7.93",
        oam_protected_net_ip_0: "172.99.99.81",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.125",
        volume_list: "[\"['var', '/var', None]\", \"['health', '/var/radcom/volume/health', '15G']\", \"['elastic', '/var/radcom/volume/elastic', '50G']\", \"['objectstore', '/var/radcom/volume/objectstore', '80G']\"]"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "kuberiq",
      vmId: "1643899231144210",
      groupType: null,
      cluster: "Kuberiq"
    }, {
      name: "infra001srv01con000.novalocal",
      type: "conductor",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_protected_direct_vip_1: "172.99.99.24",
        rprb_26071_oam_direct_vip_1: "172.29.147.130",
        hostname: "infra001srv01con000.novalocal~172.29.147.44",
        rprb_26071_oam_direct_net_1: "172.29.147.44",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.59",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.62",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.44",
        rprb_26071_oam_protected_net_1: "172.99.99.25"
      },
      customAttributes: {
        isNodeExporter: "true"
      },
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "conductor",
      vmId: "1643898555173011",
      groupType: null,
      cluster: "Conductor"
    }, {
      name: "infra001srv01mgu000.novalocal",
      type: "managementui",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.210",
        hostname: "infra001srv01mgu000.novalocal~172.29.147.49",
        rprb_26071_oam_direct_net_1: "172.29.147.49",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.126",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.38",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.49",
        rprb_26071_oam_protected_net_1: "172.99.99.38",
        rprb_26071_oam_protected_vip_1: "172.99.99.37"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "managementui",
      vmId: "1643899453757289",
      groupType: null,
      cluster: "ManagementUI"
    }, {
      name: "infra001srv01shd000.novalocal",
      type: "mongodb",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.120",
        rprb_26071_oam_direct_net_1: "172.29.147.120",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.20"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "mongodb",
      vmId: "1643898555043009",
      groupType: null,
      cluster: "SettingsAndHealthDB"
    }, {
      name: "infra001srv01shd002.novalocal",
      type: "mongodb",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.182",
        rprb_26071_oam_direct_net_1: "172.29.147.182",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.152"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "mongodb",
      vmId: "1643898632796019",
      groupType: null,
      cluster: "SettingsAndHealthDB"
    }, {
      name: "infra001srv01crp001.novalocal",
      type: "oracle",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.74",
        rprb_26071_oam_direct_net_1: "172.29.147.74",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.44"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "oracle",
      vmId: "1643898675671022",
      groupType: null,
      cluster: "ConfigurationRepository"
    }, {
      name: "infra001srv01shd001.novalocal",
      type: "mongodb",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.244",
        rprb_26071_oam_direct_net_1: "172.29.147.244",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.33"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "mongodb",
      vmId: "1643898577862015",
      groupType: null,
      cluster: "SettingsAndHealthDB"
    }, {
      name: "infra001srv01vdb000.novalocal",
      type: "vertica",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_int_dbinterconnect_net_1: "172.100.8.190",
        rprb_26071_oam_direct_net_1: "172.29.147.45",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.19",
        rprb_26071_int_beinterconnect_vip_0: "10.20.4.98",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.45"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "vertica",
      vmId: "1643899210968162",
      groupType: null,
      cluster: "VerticaDB"
    }, {
      name: "infra001srv01agw000.novalocal",
      type: "apigw",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.47",
        hostname: "infra001srv01agw000.novalocal~172.29.147.24",
        rprb_26071_oam_direct_net_1: "172.29.147.24",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.178",
        rprb_26071_int_beinterconnect_vip_1: "10.20.4.52",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.24",
        rprb_26071_oam_protected_net_1: "172.99.99.21",
        rprb_26071_oam_protected_vip_1: "172.99.99.20"
      },
      customAttributes: {
        isNodeExporter: "true"
      },
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "apigw",
      vmId: "1643898684850026",
      groupType: null,
      cluster: "APIGW"
    }, {
      name: "infra001srv01kfk001.novalocal",
      type: "kafka",
      siteName: "test",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_int_beinterconnect_vip_0: "10.20.4.70",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.52",
        rprb_26071_oam_direct_net_1: "172.29.147.52",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.89"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "kafka",
      vmId: "1643899594519324",
      groupType: null,
      cluster: "Kafka"
    }, {
      name: "infra001srv01ldr000.novalocal",
      type: "qloader",
      siteName: "default",
      installationValidity: "",
      installedVersion: "12.04.00.000.00",
      backedupVersion: "",
      attributes: {
        rprb_26071_oam_direct_vip_1: "172.29.147.166",
        hostname: "infra001srv01ldr000.novalocal~172.29.147.11",
        rprb_26071_oam_direct_net_1: "172.29.147.11",
        rprb_26071_int_beinterconnect_net_1: "10.20.4.101",
        version_number: "12.04.00.000.00",
        "ip-eth0": "172.29.147.11"
      },
      customAttributes: {},
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: "qloader",
      vmId: "1643899226039204",
      groupType: null,
      cluster: "QLoader"
    }, {
      name: "zwah1arlbacp01cpt002.novalocal",
      type: "vLBAgent",
      siteName: null,
      installationValidity: "valid",
      installedVersion: "11.04.09.005.00",
      backedupVersion: "11.04.07.000.14",
      attributes: {
        rprb_26071_mme_pktmirror_int_net_1: "107.242.232.33",
        rprb_26071_oam_direct_net_1: "10.70.12.89",
        rprb_26071_cdr_direct_net_1: "10.80.12.17",
        "eth1-eth2-and-vLBAgentInstance": "10.70.12.89@10.90.0.15@1",
        rprb_26071_mme_pktinternal_int_net_1: "10.90.0.15",
        version_number: "11.04.09.005.00",
        "ip-eth0": "10.70.12.89"
      },
      customAttributes: {
        ProbeInstance: "1",
        cluster_name: "wah1a_aic_cpt01_lba",
        int_pktmirror_ip_0: "107.242.232.33",
        is_qanalyzer_enabled: true,
        int_cdr_direct_ip_0: "10.80.12.17",
        probe_list: "10.70.12.99@10.90.0.25@0,10.70.12.98@10.90.0.24@1,10.70.12.97@10.90.0.23@2,10.70.12.96@10.90.0.22@3,10.70.12.95@10.90.0.21@4,10.70.12.94@10.90.0.20@5,10.70.12.93@10.90.0.19@6,10.70.12.92@10.90.0.18@7,10.70.12.91@10.90.0.17@8,10.70.12.90@10.90.0.16@9,10.70.12.102@10.90.0.28@10,10.70.12.101@10.90.0.27@11,10.70.12.100@10.90.0.26@12",
        int_pktinternal_ip_0: "10.90.0.15",
        site_name: "wah1a_cdf",
        vprobes_mgmt_net_ip_0: "10.70.12.89",
        oam_interfaces: "10.70.12.89",
        probe_pod: "wah1a_aic_cpt01",
        qanalyzer_historical_writer_enabled: true,
        topic: "WAH2a_WAH1a",
        internal_interfaces: "10.90.0.15"
      },
      configurationAttributes: {
        lastValidationTime: "N/A"
      },
      labelValues: {},
      clusterType: null,
      vmId: "1584031304814584",
      groupType: null
    }],
    total: 21,
    totalVM: 21,
    filter: [""],
    sorting: [{
      order: "asc",
      orderColumn: "siteName"
    }],
    pagination: {
      offset: 0,
      limit: 50
    }
  }
};
exports.VMTOPOLOGY_MOCKS = VMTOPOLOGY_MOCKS;